OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.IBM.VertexArrayLists

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetIBMVertexArrayLists :: MonadIO m => m Bool
- gl_IBM_vertex_array_lists :: Bool
- pattern GL_COLOR_ARRAY_LIST_IBM :: GLenum
- pattern GL_COLOR_ARRAY_LIST_STRIDE_IBM :: GLenum
- pattern GL_EDGE_FLAG_ARRAY_LIST_IBM :: GLenum
- pattern GL_EDGE_FLAG_ARRAY_LIST_STRIDE_IBM :: GLenum
- pattern GL_FOG_COORDINATE_ARRAY_LIST_IBM :: GLenum
- pattern GL_FOG_COORDINATE_ARRAY_LIST_STRIDE_IBM :: GLenum
- pattern GL_INDEX_ARRAY_LIST_IBM :: GLenum
- pattern GL_INDEX_ARRAY_LIST_STRIDE_IBM :: GLenum
- pattern GL_NORMAL_ARRAY_LIST_IBM :: GLenum
- pattern GL_NORMAL_ARRAY_LIST_STRIDE_IBM :: GLenum
- pattern GL_SECONDARY_COLOR_ARRAY_LIST_IBM :: GLenum
- pattern GL_SECONDARY_COLOR_ARRAY_LIST_STRIDE_IBM :: GLenum
- pattern GL_TEXTURE_COORD_ARRAY_LIST_IBM :: GLenum
- pattern GL_TEXTURE_COORD_ARRAY_LIST_STRIDE_IBM :: GLenum
- pattern GL_VERTEX_ARRAY_LIST_IBM :: GLenum
- pattern GL_VERTEX_ARRAY_LIST_STRIDE_IBM :: GLenum
- glColorPointerListIBM :: MonadIO m => GLint -> GLenum -> GLint -> Ptr (Ptr a) -> GLint -> m ()
- glEdgeFlagPointerListIBM :: MonadIO m => GLint -> Ptr (Ptr GLboolean) -> GLint -> m ()
- glFogCoordPointerListIBM :: MonadIO m => GLenum -> GLint -> Ptr (Ptr a) -> GLint -> m ()
- glIndexPointerListIBM :: MonadIO m => GLenum -> GLint -> Ptr (Ptr a) -> GLint -> m ()
- glNormalPointerListIBM :: MonadIO m => GLenum -> GLint -> Ptr (Ptr a) -> GLint -> m ()
- glSecondaryColorPointerListIBM :: MonadIO m => GLint -> GLenum -> GLint -> Ptr (Ptr a) -> GLint -> m ()
- glTexCoordPointerListIBM :: MonadIO m => GLint -> GLenum -> GLint -> Ptr (Ptr a) -> GLint -> m ()
- glVertexPointerListIBM :: MonadIO m => GLint -> GLenum -> GLint -> Ptr (Ptr a) -> GLint -> m ()

# Extension Support

glGetIBMVertexArrayLists :: MonadIO m => m Bool Source #

Is the IBM_vertex_array_lists extension supported?

gl_IBM_vertex_array_lists :: Bool Source #

Is the IBM_vertex_array_lists extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetIBMVertexArrayLists` in those cases instead.

# Enums

pattern GL_COLOR_ARRAY_LIST_IBM :: GLenum Source #

pattern GL_COLOR_ARRAY_LIST_STRIDE_IBM :: GLenum Source #

pattern GL_EDGE_FLAG_ARRAY_LIST_IBM :: GLenum Source #

pattern GL_EDGE_FLAG_ARRAY_LIST_STRIDE_IBM :: GLenum Source #

pattern GL_FOG_COORDINATE_ARRAY_LIST_IBM :: GLenum Source #

pattern GL_FOG_COORDINATE_ARRAY_LIST_STRIDE_IBM :: GLenum Source #

pattern GL_INDEX_ARRAY_LIST_IBM :: GLenum Source #

pattern GL_INDEX_ARRAY_LIST_STRIDE_IBM :: GLenum Source #

pattern GL_NORMAL_ARRAY_LIST_IBM :: GLenum Source #

pattern GL_NORMAL_ARRAY_LIST_STRIDE_IBM :: GLenum Source #

pattern GL_SECONDARY_COLOR_ARRAY_LIST_IBM :: GLenum Source #

pattern GL_SECONDARY_COLOR_ARRAY_LIST_STRIDE_IBM :: GLenum Source #

pattern GL_TEXTURE_COORD_ARRAY_LIST_IBM :: GLenum Source #

pattern GL_TEXTURE_COORD_ARRAY_LIST_STRIDE_IBM :: GLenum Source #

pattern GL_VERTEX_ARRAY_LIST_IBM :: GLenum Source #

pattern GL_VERTEX_ARRAY_LIST_STRIDE_IBM :: GLenum Source #

# Functions

glColorPointerListIBM Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type ColorPointerType.
-> GLint | `stride`.
-> Ptr (Ptr a) | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `Ptr a`.
-> GLint | `ptrstride`.
-> m () |

glEdgeFlagPointerListIBM Source #

Arguments

:: MonadIO m |
=> GLint | `stride`.
-> Ptr (Ptr GLboolean) | `pointer` pointing to `COMPSIZE(stride)` elements of type `Ptr BooleanPointer`.
-> GLint | `ptrstride`.
-> m () |

glFogCoordPointerListIBM Source #

Arguments

:: MonadIO m |
=> GLenum | `type` of type FogPointerTypeIBM.
-> GLint | `stride`.
-> Ptr (Ptr a) | `pointer` pointing to `COMPSIZE(type,stride)` elements of type `Ptr a`.
-> GLint | `ptrstride`.
-> m () |

glIndexPointerListIBM Source #

Arguments

:: MonadIO m |
=> GLenum | `type` of type IndexPointerType.
-> GLint | `stride`.
-> Ptr (Ptr a) | `pointer` pointing to `COMPSIZE(type,stride)` elements of type `Ptr a`.
-> GLint | `ptrstride`.
-> m () |

glNormalPointerListIBM Source #

Arguments

:: MonadIO m |
=> GLenum | `type` of type NormalPointerType.
-> GLint | `stride`.
-> Ptr (Ptr a) | `pointer` pointing to `COMPSIZE(type,stride)` elements of type `Ptr a`.
-> GLint | `ptrstride`.
-> m () |

glSecondaryColorPointerListIBM Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type SecondaryColorPointerTypeIBM.
-> GLint | `stride`.
-> Ptr (Ptr a) | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `Ptr a`.
-> GLint | `ptrstride`.
-> m () |

glTexCoordPointerListIBM Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type TexCoordPointerType.
-> GLint | `stride`.
-> Ptr (Ptr a) | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `Ptr a`.
-> GLint | `ptrstride`.
-> m () |

glVertexPointerListIBM Source #

Arguments

:: MonadIO m |
=> GLint | `size`.
-> GLenum | `type` of type VertexPointerType.
-> GLint | `stride`.
-> Ptr (Ptr a) | `pointer` pointing to `COMPSIZE(size,type,stride)` elements of type `Ptr a`.
-> GLint | `ptrstride`.
-> m () |